<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <LinearLayout
        android:id="@+id/statusBar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        android:orientation="horizontal"
        android:visibility="gone"
        app:layout_constraintTop_toTopOf="parent" />


    <!--  下拉刷新控件  -->
    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/mRefresh"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        app:srlAccentColor="@color/white">

        <!--   经典下拉头部     -->

        <com.scwang.smart.refresh.header.ClassicsHeader
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:foregroundTint="@color/white"
            app:srlAccentColor="@color/black"
            app:srlPrimaryColor="@color/white" />

        <androidx.core.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/white">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <!--      头部信息          -->

                <include
                    android:id="@+id/mCom"
                    layout="@layout/frag_health_header"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:visibility="visible"
                    app:layout_constraintHorizontal_bias="0.0"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintRight_toRightOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <androidx.cardview.widget.CardView
                    android:id="@+id/mBannerCard"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_14"
                    android:layout_marginTop="@dimen/dp_5"
                    android:layout_marginRight="@dimen/dp_14"
                    android:layout_marginBottom="@dimen/dp_12"
                    app:cardCornerRadius="@dimen/dp_5"
                    app:cardElevation="@dimen/dp_0"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/mCom">

                    <com.youth.banner.Banner
                        android:id="@+id/mBanner"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_90"
                        android:background="@drawable/shape_banner_bg"
                        app:banner_indicator_normal_color="@color/col_298D0"
                        app:banner_indicator_selected_color="@color/col_8D0"
                        app:banner_infinite_loop="true"
                        app:banner_loop_time="4000" />
                </androidx.cardview.widget.CardView>

                <include
                    android:id="@+id/mChild_view"
                    layout="@layout/child_healt"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_12"
                    app:layout_constraintTop_toBottomOf="@+id/mBannerCard" />

                <androidx.cardview.widget.CardView
                    android:id="@+id/mBannerCardTwo"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_14"
                    android:layout_marginTop="@dimen/dp_5"
                    android:layout_marginRight="@dimen/dp_14"
                    android:layout_marginBottom="@dimen/dp_12"
                    app:cardCornerRadius="@dimen/dp_5"
                    app:cardElevation="@dimen/dp_0"
                    android:visibility="gone"
                    app:layout_constraintLeft_toLeftOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/mChild_view">

                    <com.youth.banner.Banner
                        android:id="@+id/mBannerTwo"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_90"
                        android:background="@drawable/shape_banner_bg"
                        app:banner_indicator_normal_color="@color/col_298D0"
                        app:banner_indicator_selected_color="@color/col_8D0"
                        app:banner_infinite_loop="true"

                        app:banner_loop_time="4000" />
                </androidx.cardview.widget.CardView>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="@dimen/dp_12"
                    android:orientation="vertical"
                    android:paddingLeft="@dimen/dp_16"
                    android:paddingRight="@dimen/dp_16"
                    android:paddingBottom="@dimen/dp_21"
                    android:paddingTop="@dimen/dp_23"
                    app:layout_constraintTop_toBottomOf="@+id/mBannerCardTwo"
                    >

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        >
                        <TextView
                            android:drawableLeft="@drawable/shape_head_tip_new"
                            android:drawablePadding="@dimen/dp_10"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingBottom="@dimen/dp_12"
                            android:text="@string/server_4"
                            android:textColor="@color/col_515"
                            android:textSize="@dimen/sp_16"
                            android:textStyle="bold"
                            />

                        <TextView
                            android:id="@+id/tv_more"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingBottom="@dimen/dp_12"
                            android:text="查看更多"
                            android:textColor="@color/col_6B6"
                            android:textSize="@dimen/sp_13"
                            android:drawableRight="@mipmap/icon_arrow_left"
                            android:layout_alignParentEnd="true"
                            android:drawablePadding="@dimen/dp_2"
                            />
                    </RelativeLayout>


                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/mRecycleNews"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:overScrollMode="never"
                        android:paddingBottom="@dimen/dp_10" />
                </LinearLayout>


            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.core.widget.NestedScrollView>

    </com.scwang.smart.refresh.layout.SmartRefreshLayout>
</LinearLayout>
